> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Teamleader Focus

> Access the Teamleader Focus API in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Teamleader Focus*. Nango doesn't have a Nango-managed OAuth app for Teamleader Focus yet. You’ll need to set up your own by following these [instructions](#🧑%E2%80%8D💻-oauth-app-setup). After that, make sure to add the OAuth client ID and secret in the integration settings in Nango.
>
> **2. Authorize Teamleader Focus**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Teamleader Focus. Later, you'll let your users do the same directly from your app.
>
> **3. Call the Teamleader Focus API**
>
> Let's make your first request to the Teamleader Focus API (fetch a list of deals). This request will return basic details about the authenticated user. Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl -X POST "https://api.nango.dev/proxy/deals.list" \
> >   -H "Authorization: Bearer <NANGO-API-KEY>" \
> >   -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >   -H "Connection-Id: <CONNECTION-ID>" \
> >   -H "Content-Type: application/json" \
> >   -d '{
> >     "page": {
> >       "size": 10
> >     }
> >   }'
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const res = await nango.post({
> >     endpoint: '/deals.list',
> >     data: {
> >       "page": {
> >         "size": 10
> >       }
> >     },
> >     providerConfigKey: '<INTEGRATION-ID>',
> >     connectionId: '<CONNECTION-ID>'
> > });
> >
> >  console.log(JSON.stringify(res.data, null, 2));
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Teamleader Focus accounts.

> [tab] 🧑‍💻 OAuth app setup
>
> ## Create your OAuth App
>
> **1. Create a Teamleader Focus account**
>
> If you don't already have one, sign up for a free [Teamleader Focus account](https://signup.focus.teamleader.eu/).
>
> **2. Access the Marketplace**
>
> 1. Go to the [Teamleader Marketplace](https://marketplace.focus.teamleader.eu/eu/en/build/integrations).
> 2. Click **ACCESS DEV PORTAL**.
>
> **3. Create an integration**
>
> 1. From the top right corner, click **Create integration**.
> 2. Enter a name for your integration.
> 3. Click **Create Integration**.
> 4. You will be provided with a **Client ID** and **Client Secret**. Copy these credentials as you'll need them when configuring your integration in Nango.
>
> **4. Configure your integration**
>
> 1. Fill in all the required information for your integration.
> 2. Under **Valid Redirect URIs**, add `https://api.nango.dev/oauth/callback`.
> 3. Select at least 2 OAuth scopes that your integration needs.
> 4. Click **Save Changes**.
>
> **5. Next**
>
> Follow the [*Quickstart*](https://nango.dev/docs/getting-started/quickstart.md).

> [tab] 🔗 Useful links
>
> ## Useful links
>
> | Topic | Links |
> | - | - |
> | General | [Teamleader Focus Website](https://www.teamleader.eu/) |
> | Developer | [Teamleader Focus API Documentation](https://developer.focus.teamleader.eu/docs/introduction) |
> | | [OAuth 2.0 Documentation](https://developer.focus.teamleader.eu/docs/authentication) |
> | | [API rate limiting](https://developer.focus.teamleader.eu/docs/general-principles#rate-limiting) |
> | | [API versioning](https://developer.focus.teamleader.eu/docs/changelog/upgrading-api-version) |
> | | [API Reference](https://developer.focus.teamleader.eu/docs/api) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs-v2/integrations/all/teamleader.mdx)

> [tab] 🚨 API gotchas
>
> * You don't need to add scopes when setting up the integration in Nango. Teamleader Focus will use the **scopes** you selected when creating the integration in their marketplace.
>
> > [!NOTE]
> >
> > Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs-v2/integrations/all/teamleader.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.